MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026427Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-07-14 10:122016-04-20 15:50
Reporterifv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026427: Draft angle algorithm produces wrong shape
Descriptionsee file baddraft.png: one end of edge on back side of shape does not connect with other edges.
Steps To Reproducerestore prism_shape.brep b1
explode b1 f
depouille r b1 0 0 -1 b1_1 -10 0 0 -40 0 0 1
Additional information
and documentation updates
Bug is part of problem of issue 0026426
TagsNo tags attached.
Test case numberbugs modalg_6 bug26427
Attached Filespng file icon baddraft.PNG (49,391 bytes) 2015-07-14 10:12
? file icon prism_shape.brep (7,136 bytes) 2015-07-14 10:15

- Relationships
child of 0026426closedbugmaster Draft angle algorithm modifies input argument + the result of the operation have very large tolerance values 

-  Notes
(0047750)
ifv (developer)
2015-11-03 12:25

Bug is fixed by fix for 0026426
Please close issue.
(0047755)
msv (developer)
2015-11-03 14:44

Dear bugmaster, please create the test case and close it.
(0048958)
git (administrator)
2015-12-10 15:32

Branch CR26427 has been created by mkv.

SHA-1: b0b0147ed061b656077113d874aec1e08134404d


Detailed log of new commits:

Author: mkv
Date: Thu Dec 10 15:32:33 2015 +0300

    Test case for issue CR26427
(0048959)
mkv (tester)
2015-12-10 15:33

Dear msv,
could you please review following test case
bugs modalg_6 bug26427

It is OK:
http://occt-tests/CR26949-master-occt-64/Debian70-64/bugs/modalg_6/bug26427.html [^]
http://occt-tests/CR26949-master-occt-64/Windows-64-VC10/bugs/modalg_6/bug26427.html [^]
bugs modalg_6 bug26427: OK
(0048974)
msv (developer)
2015-12-10 16:14

OK
(0048986)
mkv (tester)
2015-12-10 16:45

Dear BugMaster,
Branch CR26427 is TESTED.
(0053023)
git (administrator)
2016-04-17 14:01

Branch CR26427 has been deleted by kgv.

SHA-1: b0b0147ed061b656077113d874aec1e08134404d

- Related Changesets
occt: master 8d27a37d
Timestamp: 2015-12-10 12:32:33
Author: mkv
Committer: bugmaster
Details ] Diff ]
0026427: Draft angle algorithm produces wrong shape
Test case for issue CR26427
add - tests/bugs/modalg_6/bug26427 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-14 10:12 ifv New Issue
2015-07-14 10:12 ifv Assigned To => ifv
2015-07-14 10:12 ifv File Added: baddraft.PNG
2015-07-14 10:13 ifv Relationship added child of 0026426
2015-07-14 10:15 ifv File Added: prism_shape.brep
2015-07-14 10:15 ifv Status new => assigned
2015-11-03 12:25 ifv Note Added: 0047750
2015-11-03 12:25 ifv Assigned To ifv => msv
2015-11-03 12:25 ifv Status assigned => resolved
2015-11-03 14:44 msv Note Added: 0047755
2015-11-03 14:44 msv Assigned To msv => bugmaster
2015-11-03 14:44 msv Status resolved => feedback
2015-11-03 14:44 msv Resolution open => duplicate
2015-11-05 10:26 bugmaster Assigned To bugmaster => apn
2015-12-08 10:29 bugmaster Assigned To apn => mkv
2015-12-10 15:32 git Note Added: 0048958
2015-12-10 15:33 mkv Note Added: 0048959
2015-12-10 15:33 mkv Assigned To mkv => msv
2015-12-10 15:33 mkv Test case number => bugs modalg_6 bug26427
2015-12-10 16:14 msv Note Added: 0048974
2015-12-10 16:14 msv Assigned To msv => bugmaster
2015-12-10 16:14 msv Status feedback => reviewed
2015-12-10 16:45 mkv Note Added: 0048986
2015-12-10 16:45 mkv Status reviewed => tested
2015-12-18 15:25 bugmaster Changeset attached => occt master 8d27a37d
2015-12-18 15:25 bugmaster Status tested => verified
2015-12-18 15:25 bugmaster Resolution duplicate => fixed
2015-12-21 12:53 bugmaster Target Version 7.1.0 => 7.0.0
2016-04-17 14:01 git Note Added: 0053023
2016-04-20 15:42 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker